import 'package:flutter/material.dart';
import 'package:hub/flutter_flow/internationalization.dart';
import 'package:hub/shared/utils/storage_util.dart';
import 'package:share_plus/share_plus.dart';

class ReceptionPageModel with ChangeNotifier {
  Future<void> getIdenfifier(BuildContext context) async {
    final String userDevUUID = StorageUtil().userDevUUID;

    notifyListeners();
    Share.share(
      FFLocalizations.of(context).getVariableText(
        ptText: 'Este é o meu identificador de acesso: $userDevUUID',
        enText: 'This is my access identifier: $userDevUUID',
      ),
    );
  }
}
